Search
curl --request POST \
--url https://api.ontora.com/v1/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modes": [
"context"
],
"vault_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"top_k": 5,
"generate_answer": true
}
'import requests
url = "https://api.ontora.com/v1/search"
payload = {
"query": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modes": ["context"],
"vault_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"top_k": 5,
"generate_answer": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
modes: ['context'],
vault_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
top_k: 5,
generate_answer: true
})
};
fetch('https://api.ontora.com/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"answer": "<string>",
"web_results": [],
"context_chunks": [],
"sources": [],
"modes_used": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}search
Search
Unified search across web and internal knowledge.
POST
/
v1
/
search
Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I